Subject: bug#54173: 28.0.91; Training wheels for query-replace

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Feb 2022 08:54:22 +0200

> From: Augusto Stoffel <[email-masked]>
> Date: Sat, 26 Feb 2022 23:15:12 +0100
> 
> I've been using query-replace for years but still seem to have trouble
> remembering some of the keys.  How about making the help message next to
> the prompt “(? for help)” customizable, with an option to include an
> extra summary line?

I don't think it's a good idea to leave documentation and help to
users.  I'd rather we made the help text better, or maybe introduce a
key to display a more detailed help text.  Emacs should not have
sub-optimal help text.

Can you tell why you have trouble remembering some of the keys, and
how changing the help message could countermand that?

Thanks.